<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:16 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Node (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Node (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Node.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/LineComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/PackageDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.ast</div>
<h2 title="Class Node" class="title">Class Node</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.ast.Node</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">BodyDeclaration</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/CatchClause.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">CatchClause</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Comment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">Comment</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/CompilationUnit.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">CompilationUnit</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">Expression</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/ImportDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">ImportDeclaration</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/MemberValuePair.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">MemberValuePair</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/PackageDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">PackageDeclaration</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">Parameter</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/Statement.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">Statement</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">Type</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">TypeParameter</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/VariableDeclarator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">VariableDeclarator</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/VariableDeclaratorId.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">VariableDeclaratorId</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Node</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Abstract class for all nodes of the AST.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Julio Vilmar Gesser</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#Node--">Node</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#Node-int-int-int-int-">Node</a></span>(int&nbsp;beginLine,
    int&nbsp;beginColumn,
    int&nbsp;endLine,
    int&nbsp;endColumn)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>&lt;R,A&gt;&nbsp;R</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#accept-org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor.GenericVisitor-A-">accept</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/visitor/GenericVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor">GenericVisitor</a>&lt;R,A&gt;&nbsp;v,
      A&nbsp;arg)</code>
<div class="block">Accept method for visitor support.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>&lt;A&gt;&nbsp;void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#accept-org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor.VoidVisitor-A-">accept</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/visitor/VoidVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor">VoidVisitor</a>&lt;A&gt;&nbsp;v,
      A&nbsp;arg)</code>
<div class="block">Accept method for visitor support.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getBeginColumn--">getBeginColumn</a></span>()</code>
<div class="block">Return the begin column of this node.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getBeginLine--">getBeginLine</a></span>()</code>
<div class="block">Return the begin line of this node.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getData--">getData</a></span>()</code>
<div class="block">Use this to retrieve additional information associated to this node.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getEndColumn--">getEndColumn</a></span>()</code>
<div class="block">Return the end column of this node.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getEndLine--">getEndLine</a></span>()</code>
<div class="block">Return the end line of this node.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setBeginColumn-int-">setBeginColumn</a></span>(int&nbsp;beginColumn)</code>
<div class="block">Sets the begin column of this node.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setBeginLine-int-">setBeginLine</a></span>(int&nbsp;beginLine)</code>
<div class="block">Sets the begin line of this node.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setData-java.lang.Object-">setData</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;data)</code>
<div class="block">Use this to store additional information to this node.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setEndColumn-int-">setEndColumn</a></span>(int&nbsp;endColumn)</code>
<div class="block">Sets the end column of this node.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setEndLine-int-">setEndLine</a></span>(int&nbsp;endLine)</code>
<div class="block">Sets the end line of this node.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#toString--">toString</a></span>()</code>
<div class="block">Return the String representation of this node.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Node--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Node</h4>
<pre>public&nbsp;Node()</pre>
</li>
</ul>
<a name="Node-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Node</h4>
<pre>public&nbsp;Node(int&nbsp;beginLine,
            int&nbsp;beginColumn,
            int&nbsp;endLine,
            int&nbsp;endColumn)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="accept-org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor.GenericVisitor-java.lang.Object-">
<!--   -->
</a><a name="accept-org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor.GenericVisitor-A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accept</h4>
<pre>public&nbsp;&lt;R,A&gt;&nbsp;R&nbsp;accept(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/visitor/GenericVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor">GenericVisitor</a>&lt;R,A&gt;&nbsp;v,
                      A&nbsp;arg)</pre>
<div class="block">Accept method for visitor support.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>R</code> - the type the return value of the visitor</dd>
<dd><code>A</code> - the type the argument passed for the visitor</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v</code> - the visitor implementation</dd>
<dd><code>arg</code> - any value relevant for the visitor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of the visit</dd>
</dl>
</li>
</ul>
<a name="accept-org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor.VoidVisitor-java.lang.Object-">
<!--   -->
</a><a name="accept-org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor.VoidVisitor-A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accept</h4>
<pre>public&nbsp;&lt;A&gt;&nbsp;void&nbsp;accept(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/visitor/VoidVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor">VoidVisitor</a>&lt;A&gt;&nbsp;v,
                       A&nbsp;arg)</pre>
<div class="block">Accept method for visitor support.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>A</code> - the type the argument passed for the visitor</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v</code> - the visitor implementation</dd>
<dd><code>arg</code> - any value relevant for the visitor</dd>
</dl>
</li>
</ul>
<a name="getBeginColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeginColumn</h4>
<pre>public final&nbsp;int&nbsp;getBeginColumn()</pre>
<div class="block">Return the begin column of this node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the begin column of this node</dd>
</dl>
</li>
</ul>
<a name="getBeginLine--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeginLine</h4>
<pre>public final&nbsp;int&nbsp;getBeginLine()</pre>
<div class="block">Return the begin line of this node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the begin line of this node</dd>
</dl>
</li>
</ul>
<a name="getData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getData</h4>
<pre>public final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getData()</pre>
<div class="block">Use this to retrieve additional information associated to this node.</div>
</li>
</ul>
<a name="getEndColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEndColumn</h4>
<pre>public final&nbsp;int&nbsp;getEndColumn()</pre>
<div class="block">Return the end column of this node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the end column of this node</dd>
</dl>
</li>
</ul>
<a name="getEndLine--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEndLine</h4>
<pre>public final&nbsp;int&nbsp;getEndLine()</pre>
<div class="block">Return the end line of this node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the end line of this node</dd>
</dl>
</li>
</ul>
<a name="setBeginColumn-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBeginColumn</h4>
<pre>public final&nbsp;void&nbsp;setBeginColumn(int&nbsp;beginColumn)</pre>
<div class="block">Sets the begin column of this node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>beginColumn</code> - the begin column of this node</dd>
</dl>
</li>
</ul>
<a name="setBeginLine-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBeginLine</h4>
<pre>public final&nbsp;void&nbsp;setBeginLine(int&nbsp;beginLine)</pre>
<div class="block">Sets the begin line of this node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>beginLine</code> - the begin line of this node</dd>
</dl>
</li>
</ul>
<a name="setData-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setData</h4>
<pre>public final&nbsp;void&nbsp;setData(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;data)</pre>
<div class="block">Use this to store additional information to this node.</div>
</li>
</ul>
<a name="setEndColumn-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEndColumn</h4>
<pre>public final&nbsp;void&nbsp;setEndColumn(int&nbsp;endColumn)</pre>
<div class="block">Sets the end column of this node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>endColumn</code> - the end column of this node</dd>
</dl>
</li>
</ul>
<a name="setEndLine-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEndLine</h4>
<pre>public final&nbsp;void&nbsp;setEndLine(int&nbsp;endLine)</pre>
<div class="block">Sets the end line of this node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>endLine</code> - the end line of this node</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<div class="block">Return the String representation of this node.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the String representation of this node</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Node.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/LineComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/PackageDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
